import { Alert, AlertDescription } from "../../../../components/ui/alert.js";
import { c } from "react/compiler-runtime";
import React from "react";
import { jsx } from "react/jsx-runtime";
var ErrorMessageRenderer_default = (i) => {
	let a = c(2), { document: o } = i, s;
	return a[0] === o.content.error ? s = a[1] : (s = /* @__PURE__ */ jsx(Alert, {
		variant: "destructive",
		className: "w-auto",
		children: /* @__PURE__ */ jsx(AlertDescription, { children: o.content.error })
	}), a[0] = o.content.error, a[1] = s), s;
};
export { ErrorMessageRenderer_default as default };
